RSASS_ISO< H > Class Template Reference

RSA signature algorithm. More...

Inheritance diagram for RSASS_ISO< H >:

## Additional Inherited Members

Public Types inherited from TF_SS< P1363_EMSA2, H, RSA_ISO >
typedef P1363_EMSA2 | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< TF_SS< P1363_EMSA2, H, RSA_ISO, int >, RSA_ISO, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from RSA_ISO
typedef RSAFunction_ISO | PublicKey
typedef InvertibleRSAFunction_ISO | PrivateKey
Static Public Member Functions inherited from TF_SS< P1363_EMSA2, H, RSA_ISO >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from RSA_ISO
static const char * | StaticAlgorithmName ()

## Detailed Description

### template<class H>
class RSASS_ISO< H >

RSA signature algorithm.

Template Parameters

  H | hash transformation

Definition at line 193 of file rsa.h.

The documentation for this class was generated from the following file:

- rsa.h